Bug 240633 - Review Request: perl-CPANPLUS-Dist-Build - Module::Build extension for CPANPLUS
Review Request: perl-CPANPLUS-Dist-Build - Module::Build extension for CPANPLUS
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Package Reviews List
http://search.cpan.org/dist/CPANPLUS-...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-05-18 20:14 EDT by Chris Weyl
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-06-01 11:56:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+


Attachments (Terms of Use)

  None (edit)
Description Chris Weyl 2007-05-18 20:14:11 EDT
SRPM URL: http://home.comcast.net/~ckweyl/perl-CPANPLUS-Dist-Build-0.05-1.fc6.src.rpm
SPEC URL: http://home.comcast.net/~ckweyl/perl-CPANPLUS-Dist-Build.spec

Description:
CPANPLUS::Dist::Build is a distribution class for Module::Build related
modules. Using this package, you can create, install and uninstall perl
modules. It inherits from CPANPLUS::Dist.
Comment 1 Jason Tibbitts 2007-05-28 00:43:40 EDT
I note the following bit from the test run:

t/02_CPANPLUS-Dist-Build..............print() on unopened filehandle STDERR at
/usr/lib/perl5/vendor_perl/5.8.8/CPANPLUS/Error.pm line 186.
print() on unopened filehandle STDERR at
/usr/lib/perl5/vendor_perl/5.8.8/CPANPLUS/Error.pm line 186.

This doesn't seem to bother anything, though.  Might be worth reporting upstream.

I know you like to package the test suites, but I'm really starting to wonder
whether it's actually a good idea to package a bunch of empty directories and
some tarballs in the documentation.  The extra bits are, however, small and
shouldn't hurt anything.

Review:
* source files match upstream:
   5cc954024402675a5ab50dae6ec8b1c3c92fd561e593b024a7fc1da726ea5d84  
   CPANPLUS-Dist-Build-0.05.tar.gz
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* dist tag is present.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text not included upstream.
* latest version is being packaged.
* BuildRequires are proper.
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint is silent.
* final provides and requires are sane:
   perl(CPANPLUS::Dist::Build) = 0.05
   perl(CPANPLUS::Dist::Build::Constants) = 0.01
   perl-CPANPLUS-Dist-Build = 0.05-1.fc7
  =
   perl(:MODULE_COMPAT_5.8.8)
   perl(CPANPLUS::Error)
   perl(CPANPLUS::Internals::Constants)
   perl(CPANPLUS::inc)
   perl(Config)
   perl(Cwd)
   perl(File::Spec)
   perl(FileHandle)
   perl(IPC::Cmd)
   perl(Locale::Maketext::Simple)
   perl(Module::Build) >= 0.28
   perl(Module::Load::Conditional)
   perl(Params::Check)
   perl(constant)
   perl(strict)
   perl(vars)
* %check is present and all tests pass:
   All tests successful.
   Files=2, Tests=43,  2 wallclock secs ( 1.76 cusr +  1.12 csys =  2.88 CPU)
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* code, not content.
* documentation is small, so no -docs subpackage is necessary.
* %docs are not necessary for the proper functioning of the package.

APPROVED
Comment 2 Chris Weyl 2007-05-28 04:16:33 EDT
New Package CVS Request
=======================
Package Name: perl-CPANPLUS-Dist-Build
Short Description: Module::Build extension for CPANPLUS
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 3 Dennis Gilmore 2007-05-28 17:03:03 EDT
cvs done.

I also created a F-7 branch  also 
Comment 4 Chris Weyl 2007-05-28 17:46:27 EDT
(In reply to comment #3)
> cvs done.
> 
> I also created a F-7 branch  also 

Thanks.  Looks like it's time to update my branch-request script :)
Comment 5 Chris Weyl 2007-05-28 17:48:07 EDT
New Package CVS Request
=======================
Package Name: perl-CPANPLUS-Dist-Build
Short Description: Module::Build extension for CPANPLUS
Owners: cweyl@alumni.drew.edu
Branches: FC-5, FC-6, devel
InitialCC: fedora-perl-devel-list@redhat.com
Comment 6 Chris Weyl 2007-05-28 17:48:49 EDT
*sigh*
Comment 7 Chris Weyl 2007-05-28 17:53:21 EDT
Imported and building.  Thanks for the review! :)

Note You need to log in before you can comment on or make changes to this bug.